Subject: pkg/36451: emulators/qemu doesn't build
To: None <,,>
From: Thomas Klausner <>
List: pkgsrc-bugs
Date: 06/06/2007 07:40:01
>Number:         36451
>Category:       pkg
>Synopsis:       emulators/qemu doesn't build
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Jun 06 07:40:01 +0000 2007
>Originator:     Thomas Klausner
>Release:        NetBSD 4.99.20
Architecture: x86_64
Machine: amd64
emulators/qemu doesn't build:
gcc -DQEMU_TOOL -O2 -I/usr/pkg/include -DGLX_GLXEXT_LEGACY -I/usr/include -Wall
-O2 -g -fno-strict-aliasing -I/usr/pkg/include -DGLX_GLXEXT_LEGACY -I/usr/includ
/lib/gcc-lib/x86_64--netbsdelf2.0/3.3.6 -Wl,-R/usr/pkg/gcc3/lib/gcc-lib/x86_64--
netbsdelf2.0/3.3.6 -L/usr/pkg/gcc3/lib -Wl,-R/usr/pkg/gcc3/lib -L/usr/pkg/lib -W
l,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -g  -o qemu-img qemu-img.c cutils.c b
lock.c block-raw.c block-cow.c block-qcow.c aes.c block-vmdk.c block-cloop.c blo
ck-dmg.c block-bochs.c block-vpc.c block-vvfat.c block-qcow2.c -lz  -lrt
cutils.c: In function `stristart':
cutils.c:75: warning: subscript has type `char'
cutils.c:75: warning: subscript has type `char'
In file included from block-raw.c:29:
/usr/include/aio.h:49: error: invalid use of `restrict'
block-vvfat.c: In function `vvfat_open':
block-vvfat.c:1020: warning: subscript has type `char'
block-vvfat.c: In function `check_directory_consistency':
block-vvfat.c:1737: warning: `cluster_count' might be used uninitialized in this

It built in 4.99.19.
The problem is probably one of the changes in the last revisions of
sys/sys/aio.h. I'm currently using /usr/include/sys/aio.h v1.5.
cd /usr/pkgsrc/emulators/qemu
Fix aio.h to be more like what qemu expects?